BSON_ITER_KEY(3)

NAME
bson_iter_key - bson_iter_key()

SYNOPSIS

const char *
bson_iter_key (const bson_iter_t *iter);

PARAMETERS

•   iter: A bson_iter_t.

DESCRIPTION

Fetches the key for the current element observed by iter.

SEE ALSO

bson_iter_key_len() to retrieve the length of the key in constant time.

RETURNS

A string which should not be modified or freed.

AUTHOR
MongoDB, Inc

COPYRIGHT
2017-present, MongoDB, Inc